/** To do: add docs */
export declare function isProd(): boolean;
/** To do: add docs */
export declare function isDev(): boolean;
/** @monorepo-internal */
export declare function isTest(): boolean;
/** @monorepo-internal */
export declare function isDemo(): boolean;
/** @monorepo-internal */
export declare function isProdOrDemo(): boolean;
export declare function isWebUiTest(): boolean;
/** @monorepo-internal */
export declare function isWebSocketDisabled(): boolean;
export declare function getAppEnvironment(): "test" | "demo" | "development" | "production" | "staging";
/** @internal */
export declare function isCi(): boolean;
/** @monorepo-internal */
export declare function isBrowser(): boolean;
export declare function hasDocument(): boolean;
/** @monorepo-internal */
export declare function isPackageNodeMode(): boolean;
export declare function getLaunchMode(): string;
/** @monorepo-internal */
export declare function isPackageMode(): boolean;
/** @monorepo-internal */
export declare function isUsingS3(): boolean;
